import request from '@/utils/request'

// 查询安全准入资格材料列表
export function listMaterial(query) {
  return request({
    url: '/laboratory/material/list',
    method: 'get',
    params: query
  })
}

// 查询安全准入资格材料详细
export function getMaterial(id) {
  return request({
    url: '/laboratory/material/' + id,
    method: 'get'
  })
}

// 新增安全准入资格材料
export function addMaterial(data) {
  return request({
    url: '/laboratory/material',
    method: 'post',
    data: data
  })
}

// 修改安全准入资格材料
export function updateMaterial(data) {
  return request({
    url: '/laboratory/material',
    method: 'put',
    data: data
  })
}

// 删除安全准入资格材料
export function delMaterial(id) {
  return request({
    url: '/laboratory/material/' + id,
    method: 'delete'
  })
}
